| sysmonpsv Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Functions
xsysmonpsv_polled_example.c File Reference

## Overview

This file contains a design example using the driver functions of the System Monitor driver.

The example here shows the driver/device in polled mode to check the on-chip temperature and voltages.

Note

This examples also assumes that there is a STDIO device in the system.

    MODIFICATION HISTORY:

    Ver   Who    Date     Changes

    1.0   aad    02/27/19 First release
    1.1   aad    07/16/19 Added register unlock
    1.1   aad    07/21/19 Added Temperature measurement
    2.0   aad    10/29/20 Graceful exit when no supplies enabled
    3.0   cog    03/25/22 Driver Restructure
    3.1   cog    04/09/22 Fix supply iterator
    5.0   se     08/01/24 Added new APIs to enable, set and get averaging for
                          voltage supplies and temperature satellites.

## Functions
int | SysMonPsvPolledExample ()
| This function runs a test on the System Monitor device using the driver APIs. More...
int | main (void)
| Main function that invokes the polled example in this file. More...

## Function Documentation

int main | ( | void |  | ) |

Main function that invokes the polled example in this file.

Returns
  - XST_SUCCESS if the example has completed successfully.
  - XST_FAILURE if the example has failed.

References SysMonPsvPolledExample().

int SysMonPsvPolledExample | ( |  | ) |

This function runs a test on the System Monitor device using the driver APIs.

This function does the following tasks:

- Initiate the System Monitor device driver instance
- Read supply configuration.
- Read the latest on-chip temperatures and confiured supplies

Returns
  - XST_SUCCESS if the example has completed successfully.
  - XST_FAILURE if the example has failed.

References XSysMonPsv_ReadSupplyProcessed(), XSysMonPsv_ReadTempProcessed(), XSysMonPsv_Supply_Arr, XSYSMONPSV_TEMP_MAX, and XSYSMONPSV_TEMP_MIN.

Referenced by main().